Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class RichMessageTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.RichMessageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class RichMessageTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`RichMessageTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxRendered(javax.el.ValueExpression __ajaxRendered)` Define, must be (or not) content of this component will be included in AJAX response created by parent AJAX Container, even if not forced by reRender list of ajax action.
`void` | `setErrorClass(javax.el.ValueExpression __errorClass)` CSS style class to apply to any message with a severity class of "ERROR" Setter for errorClass
`void` | `setErrorLabelClass(javax.el.ValueExpression __errorLabelClass)` CSS style class to apply to any message label with a severity class of "ERROR" Setter for errorLabelClass
`void` | `setErrorMarkerClass(javax.el.ValueExpression __errorMarkerClass)` CSS style class to apply to any message marker with a severity class of "ERROR" Setter for errorMarkerClass
`void` | `setFatalClass(javax.el.ValueExpression __fatalClass)` CSS style class to apply to any message with a severity class of "FATAL" Setter for fatalClass
`void` | `setFatalLabelClass(javax.el.ValueExpression __fatalLabelClass)` CSS style class to apply to any message label with a severity class of "FATAL" Setter for fatalLabelClass
`void` | `setFatalMarkerClass(javax.el.ValueExpression __fatalMarkerClass)` CSS style class to apply to any message marker with a severity class of "FATAL" Setter for fatalMarkerClass
`void` | `setFor(javax.el.ValueExpression __for)` Client identifier of the component for which to display messages Setter for for
`void` | `setInfoClass(javax.el.ValueExpression __infoClass)` CSS style class to apply to any message with a severity class of "INFO" Setter for infoClass
`void` | `setInfoLabelClass(javax.el.ValueExpression __infoLabelClass)` CSS style class to apply to any message label with a severity class of "INFO" Setter for infoLabelClass
`void` | `setInfoMarkerClass(javax.el.ValueExpression __infoMarkerClass)` CSS style class to apply to any message marker with a severity class of "INFO" Setter for infoMarkerClass
`void` | `setLabelClass(javax.el.ValueExpression __labelClass)` CSS style class to apply to label Setter for labelClass
`void` | `setLevel(javax.el.ValueExpression __level)` A comma-separated list of messages categories which should be displayed.
`void` | `setMarkerClass(javax.el.ValueExpression __markerClass)` CSS style class to apply to marker Setter for markerClass
`void` | `setMarkerStyle(javax.el.ValueExpression __markerStyle)` CSS style(s) is/are to be applied to marker when this component is rendered Setter for markerStyle
`void` | `setPassedLabel(javax.el.ValueExpression __passedLabel)` Attribute should define the label to be displayed when no message appears Setter for passedLabel
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowDetail(javax.el.ValueExpression __showDetail)` Flag indicating whether the summary portion of displayed messages should be included.
`void` | `setShowSummary(javax.el.ValueExpression __showSummary)` Flag indicating whether the summary portion of displayed messages should be included.
`void` | `setTooltip(javax.el.ValueExpression __tooltip)` Flag indicating whether the detail portion of the message should be displayed as a tooltip.
`void` | `setWarnClass(javax.el.ValueExpression __warnClass)` CSS style class to apply to any message with a severity class of "WARN" Setter for warnClass
`void` | `setWarnLabelClass(javax.el.ValueExpression __warnLabelClass)` CSS style class to apply to any message label with a severity class of "WARN" Setter for warnLabelClass
`void` | `setWarnMarkerClass(javax.el.ValueExpression __warnMarkerClass)` CSS style class to apply any message marker with a severity class of "WARN" Setter for warnMarkerClass

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### RichMessageTag

    public RichMessageTag()

Method Detail

### setAjaxRendered

    public void setAjaxRendered(javax.el.ValueExpression __ajaxRendered)

  Define, must be (or not) content of this component will be included in AJAX response created by parent AJAX Container, even if not forced by reRender list of ajax action. Ignored if component marked to output by some Ajax action component. Setter for ajaxRendered

  Parameters:
    `ajaxRendered` - - new value

### setErrorClass

    public void setErrorClass(javax.el.ValueExpression __errorClass)

  CSS style class to apply to any message with a severity class of "ERROR" Setter for errorClass

  Parameters:
    `errorClass` - - new value

### setErrorLabelClass

    public void setErrorLabelClass(javax.el.ValueExpression __errorLabelClass)

  CSS style class to apply to any message label with a severity class of "ERROR" Setter for errorLabelClass

  Parameters:
    `errorLabelClass` - - new value

### setErrorMarkerClass

    public void setErrorMarkerClass(javax.el.ValueExpression __errorMarkerClass)

  CSS style class to apply to any message marker with a severity class of "ERROR" Setter for errorMarkerClass

  Parameters:
    `errorMarkerClass` - - new value

### setFatalClass

    public void setFatalClass(javax.el.ValueExpression __fatalClass)

  CSS style class to apply to any message with a severity class of "FATAL" Setter for fatalClass

  Parameters:
    `fatalClass` - - new value

### setFatalLabelClass

    public void setFatalLabelClass(javax.el.ValueExpression __fatalLabelClass)

  CSS style class to apply to any message label with a severity class of "FATAL" Setter for fatalLabelClass

  Parameters:
    `fatalLabelClass` - - new value

### setFatalMarkerClass

    public void setFatalMarkerClass(javax.el.ValueExpression __fatalMarkerClass)

  CSS style class to apply to any message marker with a severity class of "FATAL" Setter for fatalMarkerClass

  Parameters:
    `fatalMarkerClass` - - new value

### setFor

    public void setFor(javax.el.ValueExpression __for)

  Client identifier of the component for which to display messages Setter for for

  Parameters:
    `for` - - new value

### setInfoClass

    public void setInfoClass(javax.el.ValueExpression __infoClass)

  CSS style class to apply to any message with a severity class of "INFO" Setter for infoClass

  Parameters:
    `infoClass` - - new value

### setInfoLabelClass

    public void setInfoLabelClass(javax.el.ValueExpression __infoLabelClass)

  CSS style class to apply to any message label with a severity class of "INFO" Setter for infoLabelClass

  Parameters:
    `infoLabelClass` - - new value

### setInfoMarkerClass

    public void setInfoMarkerClass(javax.el.ValueExpression __infoMarkerClass)

  CSS style class to apply to any message marker with a severity class of "INFO" Setter for infoMarkerClass

  Parameters:
    `infoMarkerClass` - - new value

### setLabelClass

    public void setLabelClass(javax.el.ValueExpression __labelClass)

  CSS style class to apply to label Setter for labelClass

  Parameters:
    `labelClass` - - new value

### setLevel

    public void setLevel(javax.el.ValueExpression __level)

  A comma-separated list of messages categories which should be displayed. Default value is "ALL". Setter for level

  Parameters:
    `level` - - new value

### setMarkerClass

    public void setMarkerClass(javax.el.ValueExpression __markerClass)

  CSS style class to apply to marker Setter for markerClass

  Parameters:
    `markerClass` - - new value

### setMarkerStyle

    public void setMarkerStyle(javax.el.ValueExpression __markerStyle)

  CSS style(s) is/are to be applied to marker when this component is rendered Setter for markerStyle

  Parameters:
    `markerStyle` - - new value

### setPassedLabel

    public void setPassedLabel(javax.el.ValueExpression __passedLabel)

  Attribute should define the label to be displayed when no message appears Setter for passedLabel

  Parameters:
    `passedLabel` - - new value

### setShowDetail

    public void setShowDetail(javax.el.ValueExpression __showDetail)

  Flag indicating whether the summary portion of displayed messages should be included. Default value is "false". Setter for showDetail

  Parameters:
    `showDetail` - - new value

### setShowSummary

    public void setShowSummary(javax.el.ValueExpression __showSummary)

  Flag indicating whether the summary portion of displayed messages should be included. Default value is "true". Setter for showSummary

  Parameters:
    `showSummary` - - new value

### setTooltip

    public void setTooltip(javax.el.ValueExpression __tooltip)

  Flag indicating whether the detail portion of the message should be displayed as a tooltip. Default value is "false". Setter for tooltip

  Parameters:
    `tooltip` - - new value

### setWarnClass

    public void setWarnClass(javax.el.ValueExpression __warnClass)

  CSS style class to apply to any message with a severity class of "WARN" Setter for warnClass

  Parameters:
    `warnClass` - - new value

### setWarnLabelClass

    public void setWarnLabelClass(javax.el.ValueExpression __warnLabelClass)

  CSS style class to apply to any message label with a severity class of "WARN" Setter for warnLabelClass

  Parameters:
    `warnLabelClass` - - new value

### setWarnMarkerClass

    public void setWarnMarkerClass(javax.el.ValueExpression __warnMarkerClass)

  CSS style class to apply any message marker with a severity class of "WARN" Setter for warnMarkerClass

  Parameters:
    `warnMarkerClass` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.